Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.0 MBeans (Deprecated)

## weblogic.management.utils
Class GenericManagedService

    java.lang.Object
      weblogic.management.utils.GenericManagedService

public class GenericManagedService
extends Object

This class is created by GenericServiceManager for each subsystem that registers a DeploymentMBean type. The service should call the "start" and "stop" methods on this object when the subsystem in question is started and stopped.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`void` | `start()` Subsystems must call this method from inside the "start" method of their Server service in order to make sure all the deployments start.
`void` | `stop()` Subsystems must call this method from inside the "stop" and "halt" methods of their server service in order to make sure that everything not undeployed is properly stopped.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### start

    public void start()
               throws weblogic.server.ServiceFailureException

  Subsystems must call this method from inside the "start" method of their Server service in order to make sure all the deployments start.

  Throws:
    `weblogic.server.ServiceFailureException`

### stop

    public void stop()
              throws weblogic.server.ServiceFailureException

  Subsystems must call this method from inside the "stop" and "halt" methods of their server service in order to make sure that everything not undeployed is properly stopped.

  Throws:
    `weblogic.server.ServiceFailureException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD